<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML3.2 EN">
<HTML>
<HEAD>
<META NAME="GENERATOR" CONTENT="DOCTEXT">
<TITLE>PetscFListDestroy</TITLE>
</HEAD>
<BODY BGCOLOR="FFFFFF">
<A NAME="PetscFListDestroy"><H1>PetscFListDestroy</H1></A>
Destroys a list of registered routines. 
<H3><FONT COLOR="#CC3333">Synopsis</FONT></H3>
<PRE>
#include "petsc.h" 
PetscErrorCode PETSC_DLLEXPORT PetscFListDestroy(PetscFList *fl)
</PRE>
<H3><FONT COLOR="#CC3333">Input Parameter</FONT></H3>
<DT><B>fl  </B> -pointer to list
<br>
<P>

<P>
<H3><FONT COLOR="#CC3333">See Also</FONT></H3>
 <A HREF="../Sys/PetscFListAddDynamic.html#PetscFListAddDynamic">PetscFListAddDynamic</A>(), <A HREF="../Sys/PetscFList.html#PetscFList">PetscFList</A>
<BR><P><B><P><B><FONT COLOR="#CC3333">Level:</FONT></B>developer
<BR><FONT COLOR="#CC3333">Location:</FONT></B><A HREF="../../../src/sys/dll/reg.c.html#PetscFListDestroy">src/sys/dll/reg.c</A>
<BR><A HREF="./index.html">Index of all Sys routines</A>
<BR><A HREF="../../index.html">Table of Contents for all manual pages</A>
<BR><A HREF="../singleindex.html">Index of all manual pages</A>
</BODY></HTML>
